Skip to main content
PUT
Create condition set items update intent

Authorizations

Authorization
string
header
required

Basic Auth header with your app ID as the username and your app secret as the password.

Headers

privy-app-id
string
required

ID of your Privy app.

privy-request-expiry
string

Request expiry. Value is a Unix timestamp in milliseconds representing the deadline by which the request must be processed.

Path Parameters

condition_set_id
string
required
Required string length: 24

Body

application/json
Required array length: 1 - 100 elements
value
string
required
Minimum string length: 1

Response

200 - application/json

Created condition set items update intent.

Response for an intent that adds or replaces condition set items

intent_id
string
required

Unique ID for the intent

created_by_display_name
string
required

Display name of the user who created the intent

created_at
number
required

Unix timestamp when the intent was created

resource_id
string
required

ID of the resource being modified (wallet_id, policy_id, etc)

authorization_details
IntentAuthorization · object[]
required

Detailed authorization information including key quorum members, thresholds, and signature status

status
enum<string>
required

Current status of an intent.

Available options:
pending,
processing,
executed,
failed,
expired,
rejected,
dismissed
custom_expiry
boolean
required

Whether this intent has a custom expiry time set by the client. If false, the intent expires after a default duration.

expires_at
number
required

Unix timestamp when the intent expires

intent_type
enum<string>
required
Available options:
CONDITION_SET_ITEM
request_details
ConditionSetItemIntentCreateRequestDetails · object
required

Request details for adding items to a condition set via intent.

created_by_id
string

ID of the user who created the intent. If undefined, the intent was created using the app secret

rejected_at
number

Unix timestamp when the intent was rejected, present when status is 'rejected'

dismissed_at
number

Unix timestamp when the intent was dismissed, present when status is 'dismissed'

dismissal_reason
string

Human-readable reason for dismissal, present when status is 'dismissed'

current_resource_data
ConditionSetItem · object

Current state of the targeted condition set item. Undefined for intents that add or replace items, or if the item was deleted

Example:
condition_set
ConditionSet · object

Parent condition set of the items. If undefined, the condition set was deleted and no longer exists

Example:
action_result
BaseActionResult · object

Result of condition set item execution (only present if status is 'executed' or 'failed')